Subject: bug#30808: [feature-request] improve integration of proxies in guix

From: ng0 <[email-masked]>
Date: Tue, 13 Mar 2018 21:15:02 +0000

Currently we have the http_proxy env var which can be set in the
environment if guix-daemon and is honored by downloads of
substitutes.

As discussed a couple of days ago on IRC, adding the ability
to use proxies for all parts of guix that are concerned with
data retrieved via network would be very good for deplyoment
of Guix in environments we usually do not consider (corporate
firewalls, places with high censorship, people who generally
do want to use proxies or have to use proxies, the list of
reasons and possibilities is longer than I want to type.